package egovframework.com.its.web.server.vo;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class VmsCtlrVO {

    private int vms_ctlr_nmbr;
    private String vms_nm;
    private double x_crdn;
    private double y_crdn;
    private String cmnc_stts_cd;
    private String cmmn_cd_kor_nm;
    private String phase;
    private byte[] vms_dspl_msg_imag;
    private int phas_img_width;
    private String vms_dspl_msg_txt;
    private int phas_img_height;

    public byte[] getVms_dspl_msg_imag() {
        byte[] tempArr = null;
        if (this.vms_dspl_msg_imag != null) {
            tempArr = new byte[vms_dspl_msg_imag.length];
            for (int i = 0; i < vms_dspl_msg_imag.length; i++) {
                tempArr[i] = this.vms_dspl_msg_imag[i];
            }
        }
        return tempArr;
    }

    public void setVms_dspl_msg_imag(byte[] vms_dspl_msg_imag) {
        this.vms_dspl_msg_imag = new byte[vms_dspl_msg_imag.length];
        for (int i = 0; i < vms_dspl_msg_imag.length; ++i) {
            this.vms_dspl_msg_imag[i] = vms_dspl_msg_imag[i];
        }
    }

}
